cURL
curl https://api.aiql.io/workspaces/ws_3a1b \
-H "Authorization: Bearer $AIQL_API_KEY"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
workspace = client.workspaces.get("ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const workspace = await client.workspaces.get("ws_3a1b");{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workspaces
Get Workspace
GET
/
workspaces
/
{id}
cURL
curl https://api.aiql.io/workspaces/ws_3a1b \
-H "Authorization: Bearer $AIQL_API_KEY"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
workspace = client.workspaces.get("ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const workspace = await client.workspaces.get("ws_3a1b");{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Path Parameters
Response
Successful Response
Unique identifier of the workspace.
Name of the workspace.
Description of the workspace.
Timestamp when the workspace was created.
Timestamp when the workspace was last updated.